For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETList Countries
              • GETGet Address Edit Permission
              • GETList Company Addresses
              • POSTCreate Company Address
              • GETSearch Company Addresses
              • POSTSearch Addresses with Multiple Filters
              • GETGet Address
              • PUTUpdate Address Information
              • PUTMark Address as Active or Inactive
              • GETGet Company Default Addresses
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyAddresses

Search Addresses with Multiple Filters

POST
https://api-b2b.bigcommerce.com/api/v2/companies/:companyId/addresses/searches
POST
/api/v2/companies/:companyId/addresses/searches
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/companies/123/addresses/searches \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Search Addresses
1{
2 "message": "Success",
3 "code": 200,
4 "data": {
5 "list": [
6 {
7 "addressId": "27",
8 "isDefaultShipping": "0",
9 "isDefaultBilling": "0",
10 "firstName": "Marie",
11 "lastName": "Curie",
12 "city": "Austin",
13 "phoneNumber": "8001234567",
14 "zipCode": "78726",
15 "label": "Austin Warehouse",
16 "isShipping": "1",
17 "isBilling": "0",
18 "extraFields": [
19 {
20 "fieldName": "Company Tax Code",
21 "fieldValue": "Code G"
22 }
23 ],
24 "addressLine1": "512 Bluebonnet Lane",
25 "addressLine2": "Building 2",
26 "state": {
27 "stateName": "Texas",
28 "stateCode": "TX"
29 },
30 "country": {
31 "countryName": "United States",
32 "countryCode": "US"
33 }
34 }
35 ],
36 "defaultAddressIds": {
37 "shippingAddressId": "17",
38 "billingAddressId": "76"
39 },
40 "pagination": {
41 "totalCount": 175,
42 "offset": 0,
43 "limit": 10
44 }
45 }
46}
Returns one or more Company addresses based on the filter parameters. You can use this to make refined searches, such as locating a particular address by its label or viewing all addresses in a specific country. Equivalent Storefront GraphQL API Query: `addresses`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Search Company Addresses

Next

Get Address

Built with

Returns one or more Company addresses based on the filter parameters. You can use this to make refined searches, such as locating a particular address by its label or viewing all addresses in a specific country.

Equivalent Storefront GraphQL API Query: addresses. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Request

This endpoint expects an object.
filtersobjectOptional
offsetdoubleOptional
Pagination offset for the results.
limitdoubleOptional
Pagination limit for the results.
qstringOptional
The search string for the request. Its value determines the results returned by the request.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject